function dict = getDefaultDictionary()
%%GETDEFAULTDICTIONARY allows to specify default structure arrays for
%dictionaries for legend labels in plots
%   dict = GETDEFAULTDICTIONARY()

% Copyright 2023 Philipp Bringmann
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%


    % Dictionary for the latex description of data in the 
    % convergence history plot
    dict =...
        dictionary('eta'           , '$\eta_\ell$',...
                   'etaVol'        , '$\eta_{\textrm{vol}}$',...
                   'etaJump'       , '$\eta_{\textrm{jump}}$',...
                   'oscDb'         , '$\textrm{osc}(\textrm{D} u_{\textrm{D}}, \mathcal{F}_\ell(\Gamma_{\textrm{D}})$',...
                   'oscNb'         , '$\textrm{osc}(t_{\textrm{N}}, \mathcal{F}_\ell(\Gamma_{\textrm{N}})$',...
                   'oscF'          , '$\textrm{osc}(f, \mathcal{T}_\ell)$',...
                   'mu'            , '$|| f - \Pi_0 f ||_{L^2(\Omega)}$',...
                   'est'           , 'built-in',...
                   'res'           , '$LS(f; \sigma_\ell, u_\ell)$',...
                   'resRed'        , '$LS(\Pi_0 f; \sigma_\ell, u_\ell)$',...
                   'resDiv'        , '$|| f + \textrm{div} \sigma_\ell ||_{L^2(\Omega)}$',...
                   'resL2'         , '$|| \sigma_\ell - \nabla u_\ell ||_{L^2(\Omega)}$',...
                   'resDev'        , '$|| \textrm{dev} \sigma_\ell - \textrm{D} u_\ell ||_{L^2(\Omega)}$',...
                   'resMat'        , '$|| C^{-1} \sigma_\ell - \varepsilon u_\ell ||_{L^2(\Omega)}$',...
                   'errU'          , '$|| u - u_\ell ||_{H^1(\Omega)}$',...
                   'errL2U'        , '$|| u - u_\ell ||_{L^2(\Omega)}$',...
                   'errGradU'      , '$||| u - u_\ell |||$',...
                   'errSigma'      , '$|| \sigma - \sigma_\ell ||_{H(\textrm{div},\Omega)}$',...
                   'errL2Sigma'    , '$|| \sigma - \sigma_\ell ||_{L^2(\Omega)}$',...
                   'errDivSigma'   , '$|| \textrm{div} (\sigma - \sigma_\ell) ||_{L^2(\Omega)}$',...
                   'runtime'       , 'runtime',...
                   'setupTime'     , 'setuptime',...
                   'solutionTime'  , 'solutiontime',...
                   'estimatorTime' , 'estimatortime',...
                   'refinementTime', 'refinementtime',...
                   'condition'     , 'condition');
end
